Description

The packaging of puppetserver doesn't ensure properly that it uses the correct JRE because it uses /usr/bin/java which can point at

any version, which causes problems on upgrade.

Associated revisions

Revision b6088261 - 03/22/2024 05:04 PM - Ewoud Kohl van Wijngaarden

Fixes #37291 - Use explicit java on RH with Puppetserver 8

The /usr/bin/java file may point to any version. This changes the logic

to determine the java version (unless explicitly specified) dynamically

based on the puppetserver version and the OS.

Revision 19310592 - 03/22/2024 06:42 PM - Ewoud Kohl van Wijngaarden

Refs #37291 - Reset Puppet's java_bin

In theforeman/puppet 19.2.0 the puppet::server_jvm_java_bin parameter

was changed to undef and determined at runtime. This helps with Puppet 8

upgrades.

Revision f7249849 - 03/23/2024 12:43 PM - Ewoud Kohl van Wijngaarden

Refs #37291 - Only reset puppetserver's JVM if it's /usr/bin/java

The intent was to only reset it if it was the default value, not just

any value.

Fixes: 19310592c8d7f16b2c59f0995463e7ae913e01ef ("Refs #37291 - Reset Puppet's java_bin")

History

#1 - 03/22/2024 11:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-puppet/pull/910 added

#2 - 03/22/2024 05:04 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/22/2024 05:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/922 added
#4 - 03/22/2024 06:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-puppet|b6088261c08ddfa8d3426ba01c6b35a3d1b1d3a2.

#5 - 03/23/2024 11:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/923 added
